Index: DCWoRMS/branches/coolemall/example/experiment2_result/experiment.properties
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment2_result/experiment.properties	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment2_result/experiment.properties	(revision 1259)
@@ -17,3 +17,3 @@
 
 # Resource utilization chart - for processors and computing nodes
-creatediagrams.resutilization=ComputingNode;Processor
+creatediagrams.resutilization=Node;Processor
Index: DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1259)
@@ -1,130 +1,168 @@
-cpu_load;compRes;1225666800000;0.3333333333333333;
-cpu_load;compRes;1225670400000;0.375;
-cpu_load;compRes;1225672200000;0.3333333333333333;
-cpu_load;compRes;1225674000000;0.08333333333333333;
-cpu_load;compRes;1225677600000;0.041666666666666664;
-cpu_load;compRes;1225681200000;0.0;
-cpu_load;compRes;1225688400000;0.041666666666666664;
-cpu_load;compRes;1225692000000;0.08333333333333333;
-cpu_load;compRes;1225699200000;0.041666666666666664;
-cpu_load;compRes;1225704600000;0.0;
-cpu_load;compRes;1225706400000;0.041666666666666664;
-cpu_load;compRes;1225713600000;0.041666666666666664;
-cpu_load;compRes;1225719000000;0.0;
-cpu_load;compRes/Rack_1;1225666800000;0.3333333333333333;
-cpu_load;compRes/Rack_1;1225670400000;0.375;
-cpu_load;compRes/Rack_1;1225672200000;0.3333333333333333;
-cpu_load;compRes/Rack_1;1225674000000;0.08333333333333333;
-cpu_load;compRes/Rack_1;1225677600000;0.041666666666666664;
-cpu_load;compRes/Rack_1;1225681200000;0.0;
-cpu_load;compRes/Rack_1;1225688400000;0.041666666666666664;
-cpu_load;compRes/Rack_1;1225692000000;0.08333333333333333;
-cpu_load;compRes/Rack_1;1225699200000;0.041666666666666664;
-cpu_load;compRes/Rack_1;1225704600000;0.0;
-cpu_load;compRes/Rack_1;1225706400000;0.041666666666666664;
-cpu_load;compRes/Rack_1;1225713600000;0.041666666666666664;
-cpu_load;compRes/Rack_1;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_1;1225666800000;0.5;
-cpu_load;compRes/Rack_1/Node_1;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_1;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_2;1225666800000;0.5;
-cpu_load;compRes/Rack_1/Node_2;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_2;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_3;1225666800000;0.5;
-cpu_load;compRes/Rack_1/Node_3;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_3;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_4;1225666800000;0.5;
-cpu_load;compRes/Rack_1/Node_4;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_4;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_5;1225666800000;0.5;
-cpu_load;compRes/Rack_1/Node_5;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_5;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_6;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_6;1225670400000;0.5;
-cpu_load;compRes/Rack_1/Node_6;1225677600000;0.0;
-cpu_load;compRes/Rack_1/Node_6;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_7;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_7;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_8;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_8;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_9;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_9;1225672200000;0.5;
-cpu_load;compRes/Rack_1/Node_9;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_9;1225688400000;0.5;
-cpu_load;compRes/Rack_1/Node_9;1225699200000;0.0;
-cpu_load;compRes/Rack_1/Node_9;1225706400000;0.5;
-cpu_load;compRes/Rack_1/Node_9;1225713600000;0.5;
-cpu_load;compRes/Rack_1/Node_9;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_10;1225666800000;0.5;
-cpu_load;compRes/Rack_1/Node_10;1225681200000;0.0;
-cpu_load;compRes/Rack_1/Node_10;1225692000000;0.5;
-cpu_load;compRes/Rack_1/Node_10;1225704600000;0.0;
-cpu_load;compRes/Rack_1/Node_10;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_11;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_11;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_12;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_12;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_1/Processor_1;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_1/Processor_1;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_1/Processor_1;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_1/Processor_2;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_1/Processor_2;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_2/Processor_3;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_2/Processor_3;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_2/Processor_3;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_2/Processor_4;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_2/Processor_4;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_3/Processor_5;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_3/Processor_5;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_3/Processor_5;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_3/Processor_6;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_3/Processor_6;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_4/Processor_7;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_4/Processor_7;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_4/Processor_7;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_4/Processor_8;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_4/Processor_8;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_5/Processor_9;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_5/Processor_9;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_5/Processor_9;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_5/Processor_10;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_5/Processor_10;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_6/Processor_11;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_6/Processor_11;1225670400000;1.0;
-cpu_load;compRes/Rack_1/Node_6/Processor_11;1225677600000;0.0;
-cpu_load;compRes/Rack_1/Node_6/Processor_11;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_6/Processor_12;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_6/Processor_12;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_7/Processor_13;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_7/Processor_13;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_7/Processor_14;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_7/Processor_14;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_8/Processor_15;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_8/Processor_15;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_8/Processor_16;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_8/Processor_16;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_17;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_17;1225672200000;0.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_17;1225688400000;1.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_17;1225699200000;0.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_17;1225706400000;1.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_17;1225713600000;1.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_17;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_18;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_18;1225674000000;0.0;
-cpu_load;compRes/Rack_1/Node_9/Processor_18;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_10/Processor_19;1225666800000;1.0;
-cpu_load;compRes/Rack_1/Node_10/Processor_19;1225681200000;0.0;
-cpu_load;compRes/Rack_1/Node_10/Processor_19;1225692000000;1.0;
-cpu_load;compRes/Rack_1/Node_10/Processor_19;1225704600000;0.0;
-cpu_load;compRes/Rack_1/Node_10/Processor_19;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_10/Processor_20;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_10/Processor_20;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_11/Processor_21;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_11/Processor_21;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_11/Processor_22;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_11/Processor_22;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_12/Processor_23;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_12/Processor_23;1225719000000;0.0;
-cpu_load;compRes/Rack_1/Node_12/Processor_24;1225666800000;0.0;
-cpu_load;compRes/Rack_1/Node_12/Processor_24;1225719000000;0.0;
+utlization;compRes;1225666800000;0.333;
+utlization;compRes;1225670400000;0.375;
+utlization;compRes;1225672200000;0.333;
+utlization;compRes;1225674000000;0.083;
+utlization;compRes;1225677600000;0.042;
+utlization;compRes;1225681200000;0;
+utlization;compRes;1225688400000;0.042;
+utlization;compRes;1225692000000;0.083;
+utlization;compRes;1225699200000;0.042;
+utlization;compRes;1225704600000;0;
+utlization;compRes;1225706400000;0.042;
+utlization;compRes;1225713600000;0.042;
+utlization;compRes;1225719000000;0;
+mean: 0.08477011494252872
+utlization;compRes/Rack_1;1225666800000;0.333;
+utlization;compRes/Rack_1;1225670400000;0.375;
+utlization;compRes/Rack_1;1225672200000;0.333;
+utlization;compRes/Rack_1;1225674000000;0.083;
+utlization;compRes/Rack_1;1225677600000;0.042;
+utlization;compRes/Rack_1;1225681200000;0;
+utlization;compRes/Rack_1;1225688400000;0.042;
+utlization;compRes/Rack_1;1225692000000;0.083;
+utlization;compRes/Rack_1;1225699200000;0.042;
+utlization;compRes/Rack_1;1225704600000;0;
+utlization;compRes/Rack_1;1225706400000;0.042;
+utlization;compRes/Rack_1;1225713600000;0.042;
+utlization;compRes/Rack_1;1225719000000;0;
+mean: 0.08477011494252872
+utlization;compRes/Rack_1/Node_1;1225666800000;0.5;
+utlization;compRes/Rack_1/Node_1;1225674000000;0;
+utlization;compRes/Rack_1/Node_1;1225719000000;0;
+mean: 0.06896551724137931
+utlization;compRes/Rack_1/Node_2;1225666800000;0.5;
+utlization;compRes/Rack_1/Node_2;1225674000000;0;
+utlization;compRes/Rack_1/Node_2;1225719000000;0;
+mean: 0.06896551724137931
+utlization;compRes/Rack_1/Node_3;1225666800000;0.5;
+utlization;compRes/Rack_1/Node_3;1225674000000;0;
+utlization;compRes/Rack_1/Node_3;1225719000000;0;
+mean: 0.06896551724137931
+utlization;compRes/Rack_1/Node_4;1225666800000;0.5;
+utlization;compRes/Rack_1/Node_4;1225674000000;0;
+utlization;compRes/Rack_1/Node_4;1225719000000;0;
+mean: 0.06896551724137931
+utlization;compRes/Rack_1/Node_5;1225666800000;0.5;
+utlization;compRes/Rack_1/Node_5;1225674000000;0;
+utlization;compRes/Rack_1/Node_5;1225719000000;0;
+mean: 0.06896551724137931
+utlization;compRes/Rack_1/Node_6;1225666800000;0;
+utlization;compRes/Rack_1/Node_6;1225670400000;0.5;
+utlization;compRes/Rack_1/Node_6;1225677600000;0;
+utlization;compRes/Rack_1/Node_6;1225719000000;0;
+mean: 0.06896551724137931
+utlization;compRes/Rack_1/Node_7;1225666800000;0;
+utlization;compRes/Rack_1/Node_7;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_8;1225666800000;0;
+utlization;compRes/Rack_1/Node_8;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_9;1225666800000;1;
+utlization;compRes/Rack_1/Node_9;1225672200000;0.5;
+utlization;compRes/Rack_1/Node_9;1225674000000;0;
+utlization;compRes/Rack_1/Node_9;1225688400000;0.5;
+utlization;compRes/Rack_1/Node_9;1225699200000;0;
+utlization;compRes/Rack_1/Node_9;1225706400000;0.5;
+utlization;compRes/Rack_1/Node_9;1225713600000;0.5;
+utlization;compRes/Rack_1/Node_9;1225719000000;0;
+mean: 0.3448275862068966
+utlization;compRes/Rack_1/Node_10;1225666800000;0.5;
+utlization;compRes/Rack_1/Node_10;1225681200000;0;
+utlization;compRes/Rack_1/Node_10;1225692000000;0.5;
+utlization;compRes/Rack_1/Node_10;1225704600000;0;
+utlization;compRes/Rack_1/Node_10;1225719000000;0;
+mean: 0.25862068965517243
+utlization;compRes/Rack_1/Node_11;1225666800000;0;
+utlization;compRes/Rack_1/Node_11;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_12;1225666800000;0;
+utlization;compRes/Rack_1/Node_12;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_1/Processor_1;1225666800000;1;
+utlization;compRes/Rack_1/Node_1/Processor_1;1225674000000;0;
+utlization;compRes/Rack_1/Node_1/Processor_1;1225719000000;0;
+mean: 0.13793103448275862
+utlization;compRes/Rack_1/Node_1/Processor_2;1225666800000;0;
+utlization;compRes/Rack_1/Node_1/Processor_2;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_2/Processor_3;1225666800000;1;
+utlization;compRes/Rack_1/Node_2/Processor_3;1225674000000;0;
+utlization;compRes/Rack_1/Node_2/Processor_3;1225719000000;0;
+mean: 0.13793103448275862
+utlization;compRes/Rack_1/Node_2/Processor_4;1225666800000;0;
+utlization;compRes/Rack_1/Node_2/Processor_4;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_3/Processor_5;1225666800000;1;
+utlization;compRes/Rack_1/Node_3/Processor_5;1225674000000;0;
+utlization;compRes/Rack_1/Node_3/Processor_5;1225719000000;0;
+mean: 0.13793103448275862
+utlization;compRes/Rack_1/Node_3/Processor_6;1225666800000;0;
+utlization;compRes/Rack_1/Node_3/Processor_6;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_4/Processor_7;1225666800000;1;
+utlization;compRes/Rack_1/Node_4/Processor_7;1225674000000;0;
+utlization;compRes/Rack_1/Node_4/Processor_7;1225719000000;0;
+mean: 0.13793103448275862
+utlization;compRes/Rack_1/Node_4/Processor_8;1225666800000;0;
+utlization;compRes/Rack_1/Node_4/Processor_8;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_5/Processor_9;1225666800000;1;
+utlization;compRes/Rack_1/Node_5/Processor_9;1225674000000;0;
+utlization;compRes/Rack_1/Node_5/Processor_9;1225719000000;0;
+mean: 0.13793103448275862
+utlization;compRes/Rack_1/Node_5/Processor_10;1225666800000;0;
+utlization;compRes/Rack_1/Node_5/Processor_10;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_6/Processor_11;1225666800000;0;
+utlization;compRes/Rack_1/Node_6/Processor_11;1225670400000;1;
+utlization;compRes/Rack_1/Node_6/Processor_11;1225677600000;0;
+utlization;compRes/Rack_1/Node_6/Processor_11;1225719000000;0;
+mean: 0.13793103448275862
+utlization;compRes/Rack_1/Node_6/Processor_12;1225666800000;0;
+utlization;compRes/Rack_1/Node_6/Processor_12;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_7/Processor_13;1225666800000;0;
+utlization;compRes/Rack_1/Node_7/Processor_13;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_7/Processor_14;1225666800000;0;
+utlization;compRes/Rack_1/Node_7/Processor_14;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_8/Processor_15;1225666800000;0;
+utlization;compRes/Rack_1/Node_8/Processor_15;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_8/Processor_16;1225666800000;0;
+utlization;compRes/Rack_1/Node_8/Processor_16;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_9/Processor_17;1225666800000;1;
+utlization;compRes/Rack_1/Node_9/Processor_17;1225672200000;0;
+utlization;compRes/Rack_1/Node_9/Processor_17;1225688400000;1;
+utlization;compRes/Rack_1/Node_9/Processor_17;1225699200000;0;
+utlization;compRes/Rack_1/Node_9/Processor_17;1225706400000;1;
+utlization;compRes/Rack_1/Node_9/Processor_17;1225713600000;1;
+utlization;compRes/Rack_1/Node_9/Processor_17;1225719000000;0;
+mean: 0.5517241379310345
+utlization;compRes/Rack_1/Node_9/Processor_18;1225666800000;1;
+utlization;compRes/Rack_1/Node_9/Processor_18;1225674000000;0;
+utlization;compRes/Rack_1/Node_9/Processor_18;1225719000000;0;
+mean: 0.13793103448275862
+utlization;compRes/Rack_1/Node_10/Processor_19;1225666800000;1;
+utlization;compRes/Rack_1/Node_10/Processor_19;1225681200000;0;
+utlization;compRes/Rack_1/Node_10/Processor_19;1225692000000;1;
+utlization;compRes/Rack_1/Node_10/Processor_19;1225704600000;0;
+utlization;compRes/Rack_1/Node_10/Processor_19;1225719000000;0;
+mean: 0.5172413793103449
+utlization;compRes/Rack_1/Node_10/Processor_20;1225666800000;0;
+utlization;compRes/Rack_1/Node_10/Processor_20;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_11/Processor_21;1225666800000;0;
+utlization;compRes/Rack_1/Node_11/Processor_21;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_11/Processor_22;1225666800000;0;
+utlization;compRes/Rack_1/Node_11/Processor_22;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_12/Processor_23;1225666800000;0;
+utlization;compRes/Rack_1/Node_12/Processor_23;1225719000000;0;
+mean: 0.0
+utlization;compRes/Rack_1/Node_12/Processor_24;1225666800000;0;
+utlization;compRes/Rack_1/Node_12/Processor_24;1225719000000;0;
+mean: 0.0
Index: DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_Metrics.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_Metrics.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_Metrics.txt	(revision 1259)
@@ -1,17 +1,17 @@
-Total_processors_energy_consumption;CoolEmAllTestbed;1225719000000;0;
-Total_IT_energy_consumption;CoolEmAllTestbed;1225719000000;0;
-Total_node_group_fans_energy_consumption;CoolEmAllTestbed;1225719000000;0;
-Total_rack_energy_consumption;CoolEmAllTestbed;1225719000000;0;
-Total_data_center_fans_energy_consumption;CoolEmAllTestbed;1225719000000;-1;
-Total_cooling_device_consumption;CoolEmAllTestbed;1225719000000;-1;
-Total_other_devices_consumption;CoolEmAllTestbed;1225719000000;-1;
-Total_energy_consumption;CoolEmAllTestbed;1225719000000;-1;
-Mean_rack_power;CoolEmAllTestbed;1225719000000;0;
-Mean_power;CoolEmAllTestbed;1225719000000;-1;
-Max_rack_power;CoolEmAllTestbed;1225719000000;0;
-Max_power;CoolEmAllTestbed;1225719000000;-1;
-PUE;CoolEmAllTestbed;1225719000000;-1;
-PUE_Level_4;CoolEmAllTestbed;1225719000000;-1;
-Energy_waste_rate;CoolEmAllTestbed;1225719000000;-°;
-Useful_Work;CoolEmAllTestbed;1225719000000;169200;
-Productivity;CoolEmAllTestbed;1225719000000;°;
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_UsefulWork.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_UsefulWork.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment2_result/Stats_Simulation_1_UsefulWork.txt	(revision 1259)
@@ -1,38 +1,0 @@
-usefulWork;compRes;1225719000000;169200;
-usefulWork;compRes/Rack_1;1225719000000;169200;
-usefulWork;compRes/Rack_1/Node_1;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_2;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_3;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_4;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_5;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_6;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_7;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_8;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_9;1225719000000;72000;
-usefulWork;compRes/Rack_1/Node_10;1225719000000;54000;
-usefulWork;compRes/Rack_1/Node_11;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_12;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_1/Processor_1;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_1/Processor_2;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_2/Processor_3;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_2/Processor_4;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_3/Processor_5;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_3/Processor_6;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_4/Processor_7;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_4/Processor_8;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_5/Processor_9;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_5/Processor_10;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_6/Processor_11;1225719000000;7200;
-usefulWork;compRes/Rack_1/Node_6/Processor_12;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_7/Processor_13;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_7/Processor_14;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_8/Processor_15;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_8/Processor_16;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_9/Processor_17;1225719000000;57600;
-usefulWork;compRes/Rack_1/Node_9/Processor_18;1225719000000;14400;
-usefulWork;compRes/Rack_1/Node_10/Processor_19;1225719000000;54000;
-usefulWork;compRes/Rack_1/Node_10/Processor_20;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_11/Processor_21;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_11/Processor_22;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_12/Processor_23;1225719000000;0;
-usefulWork;compRes/Rack_1/Node_12/Processor_24;1225719000000;0;