Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/debb/LoadCalendarSchema.xsd
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/debb/LoadCalendarSchema.xsd	(revision 1302)
+++ DCWoRMS/branches/coolemall/simulator/schemas/resources/debb/LoadCalendarSchema.xsd	(revision 1302)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	elementFormDefault="qualified" attributeFormDefault="unqualified">
+	
+	<xs:complexType name="resourceLoadType">
+		<xs:sequence>
+			<xs:element name="loadCalendar" type="loadCalendarType" maxOccurs="unbounded"/>
+		</xs:sequence>
+		<xs:attribute name="name" type="xs:string" use="optional"/>
+		<xs:attribute name="class" type="xs:string" use="required"/>
+	</xs:complexType>
+	
+	<xs:complexType name="loadCalendarType">
+		<xs:choice>
+			<xs:element name="loadSchedule" type="loadScheduleType" maxOccurs="unbounded"/>
+		</xs:choice>
+	</xs:complexType>
+
+	<xs:complexType name="loadScheduleType">
+		<xs:sequence>
+			<xs:element name="loadDistribution" maxOccurs="unbounded">
+				<xs:complexType>
+					<xs:sequence>
+						<xs:element name="fromTime" type="xs:long"/>
+						<xs:element name="toTime" type="xs:long"/>
+						<xs:element name="loadLevel" type="xs:double"/>
+					</xs:sequence>
+				</xs:complexType>
+			</xs:element>
+		</xs:sequence>
+	</xs:complexType>
+	
+	<xs:element name="resources">
+		<xs:annotation>
+			<xs:documentation>Schema describing background load distribution for the simulated environment</xs:documentation>
+		</xs:annotation>
+		<xs:complexType>
+			<xs:annotation>
+				<xs:documentation>Description of load levels for particular resources</xs:documentation>
+			</xs:annotation>
+
+			<xs:sequence>
+				<xs:element name="computingResource" type="resourceLoadType" maxOccurs="unbounded"/>
+			</xs:sequence>
+		</xs:complexType>
+	</xs:element>
+</xs:schema>
Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/DCwormsResSchema.xsd
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/DCwormsResSchema.xsd	(revision 1263)
+++ DCWoRMS/branches/coolemall/simulator/schemas/resources/DCwormsResSchema.xsd	(revision 1302)
@@ -6,5 +6,5 @@
 		<xs:annotation>
 			<xs:documentation>Base plugin type. 
-			Plugins allow configuring and adapting the simulation framework to his/her experiment 
+			Plugins allow configuring and adapting the simulation framework to the purpose of particular experiment 
 			starting from modeling job performance, through method of calculating energy estimation up to implementation of scheduling policies
 			Name of the plugin specifies the JAVA class that implements dedicated interface.</xs:documentation>
@@ -291,4 +291,5 @@
 			<xs:element name="airThroughputProfile" type="airThroughputProfileType" minOccurs="0"></xs:element>
 			<xs:element name="thermalProfile" type="thermalProfileType" minOccurs="0"></xs:element>
+			<xs:element name="loadProfile" type="loadProfileType" minOccurs="0"></xs:element>
 		</xs:sequence>
 	</xs:complexType>
@@ -414,4 +415,25 @@
 			<xs:element name="parameter" type="parameterType" minOccurs="0" maxOccurs="unbounded"></xs:element>
 		</xs:sequence>
+	</xs:complexType>
+	
+	<xs:complexType name="loadProfileType">
+		<xs:annotation>
+			<xs:documentation>Load profile provides loadEstimation plugin and supports modelinf of a local utilization of the given resource during the time</xs:documentation>
+		</xs:annotation>
+		<xs:sequence>
+			<xs:element name="loadEstimationPlugin" type="loadEstimationPluginType" minOccurs="0"></xs:element>
+			<xs:element name="loadCalendar" type="loadCalendarType" minOccurs="0"></xs:element>
+			<xs:element name="parameter" type="parameterType" minOccurs="0" maxOccurs="unbounded"></xs:element>
+		</xs:sequence>
+	</xs:complexType>
+	
+	<xs:complexType name="loadEstimationPluginType">
+		<xs:annotation>
+			<xs:documentation>LoadEstimationPlugin derived from pluginType. 
+			Load plugin is used to calclulate load on the given resource if it's based on user-defined model</xs:documentation>
+		</xs:annotation>
+		<xs:complexContent>
+			<xs:extension base="pluginType"/>
+		</xs:complexContent>
 	</xs:complexType>
 	
@@ -454,4 +476,62 @@
 	</xs:complexType>
 	
+	
+	<xs:complexType name="loadCalendarType">
+		<xs:choice>
+			<xs:element name="weekDay" type="weekDayType"  maxOccurs="unbounded"/>
+			<xs:element name="loadSchedule" type="loadScheduleType" maxOccurs="unbounded"/>
+		</xs:choice>
+	</xs:complexType>
+	
+	<xs:complexType name="weekDayType">
+		<xs:sequence>
+			<xs:element name="type" type="dayType"></xs:element>
+			<xs:choice>
+				<xs:element name="timePeriod" maxOccurs="unbounded">
+					<xs:complexType>
+						<xs:sequence>
+							<xs:element name="fromTime" type="xs:time"/>
+							<xs:element name="toTime" type="xs:time"/>
+							<xs:element name="loadLevel" type="xs:double"/>
+						</xs:sequence>
+					</xs:complexType>
+				</xs:element>
+				<xs:element name="loadLevel" type="xs:double"/>
+			</xs:choice>
+		</xs:sequence>
+	</xs:complexType>
+		
+	<xs:complexType name="loadScheduleType">
+		<xs:sequence>
+			<xs:element name="loadDistribution" maxOccurs="unbounded">
+				<xs:complexType>
+					<xs:sequence>
+						<xs:element name="fromTime" type="xs:long"/>
+						<xs:element name="toTime" type="xs:long"/>
+						<xs:element name="loadLevel" type="xs:double"/>
+					</xs:sequence>
+				</xs:complexType>
+			</xs:element>
+		</xs:sequence>
+	</xs:complexType>
+				
+	<xs:simpleType name="dayType">
+		<xs:annotation>
+			<xs:documentation>The type of day. Values are: 0=AllDays,
+				1=Sunday, 2=Monday, 3=Tuesday, 4=Wednesday, 5=Thursday,
+				6=Friday, 7=Saturday.</xs:documentation>
+		</xs:annotation>
+		<xs:restriction base="xs:integer">
+			<xs:enumeration value="0" />
+			<xs:enumeration value="1" />
+			<xs:enumeration value="2" />
+			<xs:enumeration value="3" />
+			<xs:enumeration value="4" />
+			<xs:enumeration value="5" />
+			<xs:enumeration value="6" />
+			<xs:enumeration value="7" />
+		</xs:restriction>
+	</xs:simpleType>
+	
 	<xs:element name="environment">
 		<xs:annotation>