Index: /DCWoRMS/branches/coolemall/example/experiment1/resources1.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment1/resources1.xml	(revision 1223)
+++ /DCWoRMS/branches/coolemall/example/experiment1/resources1.xml	(revision 1306)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
 	
 	<!-- Simple data center description -->
Index: /DCWoRMS/branches/coolemall/example/experiment2/resources2.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment2/resources2.xml	(revision 1223)
+++ /DCWoRMS/branches/coolemall/example/experiment2/resources2.xml	(revision 1306)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
 	
 	<!-- Data center description with some basic characteristics -->
@@ -42,5 +42,5 @@
 			<!-- Definition of scheduling plugin at cluster level -->
 			<schedulingPlugin>
-				<name>example.localplugin.FCFSBF_ClusterPlugin</name>
+				<name>example.localplugin.Cluster_FCFSBF_RandomPlugin</name>
 			</schedulingPlugin>		
 			<!-- Definition of available queues-->
Index: /DCWoRMS/branches/coolemall/example/experiment3/resources3.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment3/resources3.xml	(revision 1223)
+++ /DCWoRMS/branches/coolemall/example/experiment3/resources3.xml	(revision 1306)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
 	
 	<!-- Data Center description with energy parameters -->
@@ -202,5 +202,5 @@
 			<schedulingPlugin>
 				<!-- <name>example.localplugin.FCFSBF_ClusterPlugin</name>  -->
-				<name>example.localplugin.FCFSBF_DFSClusterPlugin</name> 
+				<name>example.localplugin.Cluster_FCFSBF_DFSPlugin</name> 
 			</schedulingPlugin>
 			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
Index: /DCWoRMS/branches/coolemall/example/experiment5/resources5.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment5/resources5.xml	(revision 1259)
+++ /DCWoRMS/branches/coolemall/example/experiment5/resources5.xml	(revision 1306)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
 	
 	<!-- Data Center description with energy parameters -->
@@ -129,5 +129,5 @@
 			<schedulingPlugin>
 				<!-- <name>example.localplugin.Cluster_FCFSBF_RandomPlugin</name> -->
-				<name>example.localplugin.FCFSBF_FanManagementClusterPlugin</name>
+				<name>example.localplugin.Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin</name>
 			</schedulingPlugin>	
 			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
Index: /DCWoRMS/branches/coolemall/example/experiment6/resources6.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment6/resources6.xml	(revision 1223)
+++ /DCWoRMS/branches/coolemall/example/experiment6/resources6.xml	(revision 1306)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
 	
 		
Index: /DCWoRMS/branches/coolemall/example/experiment8/resources8.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment8/resources8.xml	(revision 1223)
+++ /DCWoRMS/branches/coolemall/example/experiment8/resources8.xml	(revision 1306)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
 	
 		
Index: /DCWoRMS/branches/coolemall/example/experiment9/resources9.xml
===================================================================
--- /DCWoRMS/branches/coolemall/example/experiment9/resources9.xml	(revision 1223)
+++ /DCWoRMS/branches/coolemall/example/experiment9/resources9.xml	(revision 1306)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
 	
 	<timeEstimationPlugin>