Index: /DCWoRMS/branches/coolemall/src/schedframe/events/EventCommand.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/events/EventCommand.java	(revision 477)
+++ /DCWoRMS/branches/coolemall/src/schedframe/events/EventCommand.java	(revision 1316)
@@ -4,6 +4,4 @@
 
 public interface EventCommand {
-
-	public void execute(EventType evType);
 	
 	public void execute(Event event);
Index: /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/SchedulingEventCommand.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/SchedulingEventCommand.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/SchedulingEventCommand.java	(revision 1316)
@@ -3,5 +3,4 @@
 import schedframe.events.Event;
 import schedframe.events.EventCommand;
-import schedframe.events.EventType;
 import schedframe.resources.computing.ComputingResource;
 
@@ -14,12 +13,6 @@
 	}
 	
-	public void execute(EventType evType) {
-		SchedulingEvent ev = new SchedulingEvent(evType);
-		ev.setSource(compResource.getFullName());
-		compResource.getEventHandler().handleSchedulingEvent(ev);
-	}
-	
 	public void execute(Event event) {
-		SchedulingEvent ev = new SchedulingEvent(event.getType());
+		SchedulingEvent ev = new ResourceStateChangedEvent(compResource.getFullName(), event.getType());
 		ev.setSource(compResource.getFullName());
 		compResource.getEventHandler().handleSchedulingEvent(ev);
Index: /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/SchedulingEvent.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/SchedulingEvent.java	(revision 477)
+++ /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/SchedulingEvent.java	(revision 1316)
@@ -16,6 +16,6 @@
 	
 	public SchedulingEvent(EventType eventType, EventReason eventReason){
-		type = eventType;
-		reason = eventReason;
+		this.type = eventType;
+		this.reason = eventReason;
 	}
 	
@@ -39,5 +39,5 @@
 	
 	public String getSource(){
-		return this.source;
+		return source;
 	}
 
@@ -46,5 +46,4 @@
 	}
 
-	@Override
 	public Object getData() {
 		return null;
Index: /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/ResourceStateChangedEvent.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/ResourceStateChangedEvent.java	(revision 1316)
+++ /DCWoRMS/branches/coolemall/src/schedframe/events/scheduling/ResourceStateChangedEvent.java	(revision 1316)
@@ -0,0 +1,24 @@
+package schedframe.events.scheduling;
+
+import schedframe.events.EventType;
+
+public class ResourceStateChangedEvent  extends SchedulingEvent {
+
+	protected String resourceName;
+	protected EventType eventType;
+	
+	public ResourceStateChangedEvent(String resourceName, EventType eventType) {
+		super(SchedulingEventType.RESOURCE_STATE_CHANGED);
+		this.resourceName = resourceName;
+		this.eventType = eventType;
+	}
+
+	public String getResourceName() {
+		return resourceName;
+	}
+
+	public EventType getEventType() {
+		return eventType;
+	}
+
+}
Index: /DCWoRMS/branches/coolemall/src/schedframe/events/ResourceEventCommand.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/events/ResourceEventCommand.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/events/ResourceEventCommand.java	(revision 1316)
@@ -10,9 +10,4 @@
 		this.resource = resource;
 	}
-	
-	public void execute(EventType evType) {
-		//TODO - add event factory
-		throw new RuntimeException("not implemented");
-	}
 
 	public void execute(Event event) {
Index: /DCWoRMS/branches/coolemall/src/gridsim/dcworms/DCWormsTags.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/gridsim/dcworms/DCWormsTags.java	(revision 1295)
+++ /DCWoRMS/branches/coolemall/src/gridsim/dcworms/DCWormsTags.java	(revision 1316)
@@ -34,5 +34,7 @@
 	public static final int TASK_REQUESTED_TIME_EXPIRED = DCWORMSBASE + 6;
 	
-	public static final int POWER_LIMIT_EXCEEDED = DCWORMSBASE + 7;
+	public static final int RESOURCE_STATE_CHANGED = DCWORMSBASE + 7;
+	
+	public static final int POWER_LIMIT_EXCEEDED = DCWORMSBASE + 8;
 
 	